# Table of Contents

<!-- toc -->

- [AI Coding](#ai-coding)
  * [OpenAI](#openai)
  * [Gemini](#gemini)
  * [LLM](#llm)
    + [Generate Doc](#generate-doc)
      - [Mintlify Writer](#mintlify-writer)
  * [Llama](#llama)
  * [Ollama](#ollama)
  * [Aider](#aider)
  * [Otter](#otter)
  * [Google Bard](#google-bard)
  * [Mentat](#mentat)
  * [Codeium](#codeium)
  * [Machine Learning](#machine-learning)
  * [Fitten Code](#fitten-code)
- [Chat](#chat)
  * [Chatblade](#chatblade)
- [OpenAI Review](#openai-review)

<!-- tocstop -->

## AI Coding

### OpenAI

- [jackMort/ChatGPT.nvim](https://github.com/jackMort/ChatGPT.nvim) ![](https://img.shields.io/github/stars/jackMort/ChatGPT.nvim) ![](https://img.shields.io/github/last-commit/jackMort/ChatGPT.nvim) ![](https://img.shields.io/github/commit-activity/y/jackMort/ChatGPT.nvim)
- [aduros/ai.vim](https://github.com/aduros/ai.vim) ![](https://img.shields.io/github/stars/aduros/ai.vim) ![](https://img.shields.io/github/last-commit/aduros/ai.vim) ![](https://img.shields.io/github/commit-activity/y/aduros/ai.vim)
- [dense-analysis/neural](https://github.com/dense-analysis/neural) ![](https://img.shields.io/github/stars/dense-analysis/neural) ![](https://img.shields.io/github/last-commit/dense-analysis/neural) ![](https://img.shields.io/github/commit-activity/y/dense-analysis/neural)
- [naps62/pair-gpt.nvim](https://github.com/naps62/pair-gpt.nvim) ![](https://img.shields.io/github/stars/naps62/pair-gpt.nvim) ![](https://img.shields.io/github/last-commit/naps62/pair-gpt.nvim) ![](https://img.shields.io/github/commit-activity/y/naps62/pair-gpt.nvim)
- [ribelo/prompter.nvim](https://github.com/ribelo/prompter.nvim) ![](https://img.shields.io/github/stars/ribelo/prompter.nvim) ![](https://img.shields.io/github/last-commit/ribelo/prompter.nvim) ![](https://img.shields.io/github/commit-activity/y/ribelo/prompter.nvim)
- [jungyong0615dot/gpt_scratch.nvim](https://github.com/jungyong0615dot/gpt_scratch.nvim) ![](https://img.shields.io/github/stars/jungyong0615dot/gpt_scratch.nvim) ![](https://img.shields.io/github/last-commit/jungyong0615dot/gpt_scratch.nvim) ![](https://img.shields.io/github/commit-activity/y/jungyong0615dot/gpt_scratch.nvim)
- [karintomania/nvim-ai-chat](https://github.com/karintomania/nvim-ai-chat) ![](https://img.shields.io/github/stars/karintomania/nvim-ai-chat) ![](https://img.shields.io/github/last-commit/karintomania/nvim-ai-chat) ![](https://img.shields.io/github/commit-activity/y/karintomania/nvim-ai-chat)
- [dpayne/CodeGPT.nvim](https://github.com/dpayne/CodeGPT.nvim) ![](https://img.shields.io/github/stars/dpayne/CodeGPT.nvim) ![](https://img.shields.io/github/last-commit/dpayne/CodeGPT.nvim) ![](https://img.shields.io/github/commit-activity/y/dpayne/CodeGPT.nvim)
- [thmsmlr/gpt.nvim](https://github.com/thmsmlr/gpt.nvim) ![](https://img.shields.io/github/stars/thmsmlr/gpt.nvim) ![](https://img.shields.io/github/last-commit/thmsmlr/gpt.nvim) ![](https://img.shields.io/github/commit-activity/y/thmsmlr/gpt.nvim)
- [lvauthrin/chatgpt.nvim](https://github.com/lvauthrin/chatgpt.nvim) ![](https://img.shields.io/github/stars/lvauthrin/chatgpt.nvim) ![](https://img.shields.io/github/last-commit/lvauthrin/chatgpt.nvim) ![](https://img.shields.io/github/commit-activity/y/lvauthrin/chatgpt.nvim)
- [krapjost/telescope-gpt.nvim](https://github.com/krapjost/telescope-gpt.nvim) ![](https://img.shields.io/github/stars/krapjost/telescope-gpt.nvim) ![](https://img.shields.io/github/last-commit/krapjost/telescope-gpt.nvim) ![](https://img.shields.io/github/commit-activity/y/krapjost/telescope-gpt.nvim)
- [meinside/openai.nvim](https://github.com/meinside/openai.nvim) ![](https://img.shields.io/github/stars/meinside/openai.nvim) ![](https://img.shields.io/github/last-commit/meinside/openai.nvim) ![](https://img.shields.io/github/commit-activity/y/meinside/openai.nvim)
- [Xuyuanp/neochat.nvim](https://github.com/Xuyuanp/neochat.nvim) ![](https://img.shields.io/github/stars/Xuyuanp/neochat.nvim) ![](https://img.shields.io/github/last-commit/Xuyuanp/neochat.nvim) ![](https://img.shields.io/github/commit-activity/y/Xuyuanp/neochat.nvim)
- [juliusolson/gpt.nvim](https://github.com/juliusolson/gpt.nvim) ![](https://img.shields.io/github/stars/juliusolson/gpt.nvim) ![](https://img.shields.io/github/last-commit/juliusolson/gpt.nvim) ![](https://img.shields.io/github/commit-activity/y/juliusolson/gpt.nvim)
- [CamdenClark/flyboy](https://github.com/CamdenClark/flyboy) ![](https://img.shields.io/github/stars/CamdenClark/flyboy) ![](https://img.shields.io/github/last-commit/CamdenClark/flyboy) ![](https://img.shields.io/github/commit-activity/y/CamdenClark/flyboy)
- [archibate/nvim-gpt](https://github.com/archibate/nvim-gpt) ![](https://img.shields.io/github/stars/archibate/nvim-gpt) ![](https://img.shields.io/github/last-commit/archibate/nvim-gpt) ![](https://img.shields.io/github/commit-activity/y/archibate/nvim-gpt)
- [EthanJWright/gpt.nvim](https://github.com/EthanJWright/gpt.nvim) ![](https://img.shields.io/github/stars/EthanJWright/gpt.nvim) ![](https://img.shields.io/github/last-commit/EthanJWright/gpt.nvim) ![](https://img.shields.io/github/commit-activity/y/EthanJWright/gpt.nvim)
- [Bryley/neoai.nvim](https://github.com/Bryley/neoai.nvim) ![](https://img.shields.io/github/stars/Bryley/neoai.nvim) ![](https://img.shields.io/github/last-commit/Bryley/neoai.nvim) ![](https://img.shields.io/github/commit-activity/y/Bryley/neoai.nvim)
- [gsuuon/llm.nvim](https://github.com/gsuuon/llm.nvim) ![](https://img.shields.io/github/stars/gsuuon/llm.nvim) ![](https://img.shields.io/github/last-commit/gsuuon/llm.nvim) ![](https://img.shields.io/github/commit-activity/y/gsuuon/llm.nvim)
- [deifyed/naVi](https://github.com/deifyed/naVi) ![](https://img.shields.io/github/stars/deifyed/naVi) ![](https://img.shields.io/github/last-commit/deifyed/naVi) ![](https://img.shields.io/github/commit-activity/y/deifyed/naVi)
- [goddoe/nvim-ai-assistant](https://github.com/goddoe/nvim-ai-assistant) ![](https://img.shields.io/github/stars/goddoe/nvim-ai-assistant) ![](https://img.shields.io/github/last-commit/goddoe/nvim-ai-assistant) ![](https://img.shields.io/github/commit-activity/y/goddoe/nvim-ai-assistant)
- [tdfacer/explain-it.nvim](https://github.com/tdfacer/explain-it.nvim) ![](https://img.shields.io/github/stars/tdfacer/explain-it.nvim) ![](https://img.shields.io/github/last-commit/tdfacer/explain-it.nvim) ![](https://img.shields.io/github/commit-activity/y/tdfacer/explain-it.nvim)
- [WhiteBlackGoose/gpt4all.nvim](https://github.com/WhiteBlackGoose/gpt4all.nvim) ![](https://img.shields.io/github/stars/WhiteBlackGoose/gpt4all.nvim) ![](https://img.shields.io/github/last-commit/WhiteBlackGoose/gpt4all.nvim) ![](https://img.shields.io/github/commit-activity/y/WhiteBlackGoose/gpt4all.nvim)
- [Robitx/gp.nvim](https://github.com/Robitx/gp.nvim) ![](https://img.shields.io/github/stars/Robitx/gp.nvim) ![](https://img.shields.io/github/last-commit/Robitx/gp.nvim) ![](https://img.shields.io/github/commit-activity/y/Robitx/gp.nvim)
- [rusagaib/oas-preview.nvim](https://github.com/rusagaib/oas-preview.nvim) ![](https://img.shields.io/github/stars/rusagaib/oas-preview.nvim) ![](https://img.shields.io/github/last-commit/rusagaib/oas-preview.nvim) ![](https://img.shields.io/github/commit-activity/y/rusagaib/oas-preview.nvim)
- [lu5her-s/neogpt.nvim](https://github.com/lu5her-s/neogpt.nvim) ![](https://img.shields.io/github/stars/lu5her-s/neogpt.nvim) ![](https://img.shields.io/github/last-commit/lu5her-s/neogpt.nvim) ![](https://img.shields.io/github/commit-activity/y/lu5her-s/neogpt.nvim)
- [catgoose/chat-gypsy.nvim](https://github.com/catgoose/chat-gypsy.nvim) ![](https://img.shields.io/github/stars/catgoose/chat-gypsy.nvim) ![](https://img.shields.io/github/last-commit/catgoose/chat-gypsy.nvim) ![](https://img.shields.io/github/commit-activity/y/catgoose/chat-gypsy.nvim)
- [youshyee/gpt.nvim](https://github.com/youshyee/gpt.nvim) ![](https://img.shields.io/github/stars/youshyee/gpt.nvim) ![](https://img.shields.io/github/last-commit/youshyee/gpt.nvim) ![](https://img.shields.io/github/commit-activity/y/youshyee/gpt.nvim)
- [CamdenClark/carrier.nvim](https://github.com/CamdenClark/carrier.nvim) ![](https://img.shields.io/github/stars/CamdenClark/carrier.nvim) ![](https://img.shields.io/github/last-commit/CamdenClark/carrier.nvim) ![](https://img.shields.io/github/commit-activity/y/CamdenClark/carrier.nvim)
- [S1M0N38/ai.nvim](https://github.com/S1M0N38/ai.nvim) ![](https://img.shields.io/github/stars/S1M0N38/ai.nvim) ![](https://img.shields.io/github/last-commit/S1M0N38/ai.nvim) ![](https://img.shields.io/github/commit-activity/y/S1M0N38/ai.nvim)
- [ashaiber/openaipg.nvim](https://github.com/ashaiber/openaipg.nvim) ![](https://img.shields.io/github/stars/ashaiber/openaipg.nvim) ![](https://img.shields.io/github/last-commit/ashaiber/openaipg.nvim) ![](https://img.shields.io/github/commit-activity/y/ashaiber/openaipg.nvim)

### Gemini

- [gera2ld/ai.nvim](https://github.com/gera2ld/ai.nvim) ![](https://img.shields.io/github/stars/gera2ld/ai.nvim) ![](https://img.shields.io/github/last-commit/gera2ld/ai.nvim) ![](https://img.shields.io/github/commit-activity/y/gera2ld/ai.nvim)
- [kiddos/gemini.nvim](https://github.com/kiddos/gemini.nvim) ![](https://img.shields.io/github/stars/kiddos/gemini.nvim) ![](https://img.shields.io/github/last-commit/kiddos/gemini.nvim) ![](https://img.shields.io/github/commit-activity/y/kiddos/gemini.nvim)
- [airpods69/yagp.nvim](https://github.com/airpods69/yagp.nvim) ![](https://img.shields.io/github/stars/airpods69/yagp.nvim) ![](https://img.shields.io/github/last-commit/airpods69/yagp.nvim) ![](https://img.shields.io/github/commit-activity/y/airpods69/yagp.nvim)
- [kentchiu/gemini.nvim](https://github.com/kentchiu/gemini.nvim) ![](https://img.shields.io/github/stars/kentchiu/gemini.nvim) ![](https://img.shields.io/github/last-commit/kentchiu/gemini.nvim) ![](https://img.shields.io/github/commit-activity/y/kentchiu/gemini.nvim)
- [meinside/gemini.nvim](https://github.com/meinside/gemini.nvim) ![](https://img.shields.io/github/stars/meinside/gemini.nvim) ![](https://img.shields.io/github/last-commit/meinside/gemini.nvim) ![](https://img.shields.io/github/commit-activity/y/meinside/gemini.nvim)

### LLM

- [David-Kunz/gen.nvim](https://github.com/David-Kunz/gen.nvim) ![](https://img.shields.io/github/stars/David-Kunz/gen.nvim) ![](https://img.shields.io/github/last-commit/David-Kunz/gen.nvim) ![](https://img.shields.io/github/commit-activity/y/David-Kunz/gen.nvim)
- [martinra/facileLLM.nvim](https://github.com/martinra/facileLLM.nvim) ![](https://img.shields.io/github/stars/martinra/facileLLM.nvim) ![](https://img.shields.io/github/last-commit/martinra/facileLLM.nvim) ![](https://img.shields.io/github/commit-activity/y/martinra/facileLLM.nvim)
- [bakks/butterfish.nvim](https://github.com/bakks/butterfish.nvim) ![](https://img.shields.io/github/stars/bakks/butterfish.nvim) ![](https://img.shields.io/github/last-commit/bakks/butterfish.nvim) ![](https://img.shields.io/github/commit-activity/y/bakks/butterfish.nvim)

#### Generate Doc

##### Mintlify Writer

- [moozd/aidoc.nvim](https://github.com/moozd/aidoc.nvim) ![](https://img.shields.io/github/stars/moozd/aidoc.nvim) ![](https://img.shields.io/github/last-commit/moozd/aidoc.nvim) ![](https://img.shields.io/github/commit-activity/y/moozd/aidoc.nvim)

### Llama

- [jpmcb/nvim-llama](https://github.com/jpmcb/nvim-llama) ![](https://img.shields.io/github/stars/jpmcb/nvim-llama) ![](https://img.shields.io/github/last-commit/jpmcb/nvim-llama) ![](https://img.shields.io/github/commit-activity/y/jpmcb/nvim-llama)
- [marco-souza/ollero.nvim](https://github.com/marco-souza/ollero.nvim) ![](https://img.shields.io/github/stars/marco-souza/ollero.nvim) ![](https://img.shields.io/github/last-commit/marco-souza/ollero.nvim) ![](https://img.shields.io/github/commit-activity/y/marco-souza/ollero.nvim)
- [nc-glitch/llama_code.nvim](https://github.com/nc-glitch/llama_code.nvim) ![](https://img.shields.io/github/stars/nc-glitch/llama_code.nvim) ![](https://img.shields.io/github/last-commit/nc-glitch/llama_code.nvim) ![](https://img.shields.io/github/commit-activity/y/nc-glitch/llama_code.nvim)
- [ziontee113/ollama.nvim](https://github.com/ziontee113/ollama.nvim) ![](https://img.shields.io/github/stars/ziontee113/ollama.nvim) ![](https://img.shields.io/github/last-commit/ziontee113/ollama.nvim) ![](https://img.shields.io/github/commit-activity/y/ziontee113/ollama.nvim)
- [dustinblackman/oatmeal.nvim](https://github.com/dustinblackman/oatmeal.nvim) ![](https://img.shields.io/github/stars/dustinblackman/oatmeal.nvim) ![](https://img.shields.io/github/last-commit/dustinblackman/oatmeal.nvim) ![](https://img.shields.io/github/commit-activity/y/dustinblackman/oatmeal.nvim)
- [Sntz91/sentence-rewriting.nvim](https://github.com/Sntz91/sentence-rewriting.nvim) ![](https://img.shields.io/github/stars/Sntz91/sentence-rewriting.nvim) ![](https://img.shields.io/github/last-commit/Sntz91/sentence-rewriting.nvim) ![](https://img.shields.io/github/commit-activity/y/Sntz91/sentence-rewriting.nvim)

### Ollama

- [rheinardkorf/nvim-ollama](https://github.com/rheinardkorf/nvim-ollama) ![](https://img.shields.io/github/stars/rheinardkorf/nvim-ollama) ![](https://img.shields.io/github/last-commit/rheinardkorf/nvim-ollama) ![](https://img.shields.io/github/commit-activity/y/rheinardkorf/nvim-ollama)
- [nomnivore/ollama.nvim](https://github.com/nomnivore/ollama.nvim) ![](https://img.shields.io/github/stars/nomnivore/ollama.nvim) ![](https://img.shields.io/github/last-commit/nomnivore/ollama.nvim) ![](https://img.shields.io/github/commit-activity/y/nomnivore/ollama.nvim)
- [huynle/ogpt.nvim](https://github.com/huynle/ogpt.nvim) ![](https://img.shields.io/github/stars/huynle/ogpt.nvim) ![](https://img.shields.io/github/last-commit/huynle/ogpt.nvim) ![](https://img.shields.io/github/commit-activity/y/huynle/ogpt.nvim)
- [gerazov/ollama-chat.nvim](https://github.com/gerazov/ollama-chat.nvim) ![](https://img.shields.io/github/stars/gerazov/ollama-chat.nvim) ![](https://img.shields.io/github/last-commit/gerazov/ollama-chat.nvim) ![](https://img.shields.io/github/commit-activity/y/gerazov/ollama-chat.nvim)
- [m-c-frank/mycelium.nvim](https://github.com/m-c-frank/mycelium.nvim) ![](https://img.shields.io/github/stars/m-c-frank/mycelium.nvim) ![](https://img.shields.io/github/last-commit/m-c-frank/mycelium.nvim) ![](https://img.shields.io/github/commit-activity/y/m-c-frank/mycelium.nvim)
- [totu/nvim-ollama](https://github.com/totu/nvim-ollama) ![](https://img.shields.io/github/stars/totu/nvim-ollama) ![](https://img.shields.io/github/last-commit/totu/nvim-ollama) ![](https://img.shields.io/github/commit-activity/y/totu/nvim-ollama)
- [slimslenderslacks/nvim-docker-ai](https://github.com/slimslenderslacks/nvim-docker-ai) ![](https://img.shields.io/github/stars/slimslenderslacks/nvim-docker-ai) ![](https://img.shields.io/github/last-commit/slimslenderslacks/nvim-docker-ai) ![](https://img.shields.io/github/commit-activity/y/slimslenderslacks/nvim-docker-ai)

### Aider

- [joshuavial/aider.nvim](https://github.com/joshuavial/aider.nvim) ![](https://img.shields.io/github/stars/joshuavial/aider.nvim) ![](https://img.shields.io/github/last-commit/joshuavial/aider.nvim) ![](https://img.shields.io/github/commit-activity/y/joshuavial/aider.nvim)

### Otter

- [jmbuhr/otter.nvim](https://github.com/jmbuhr/otter.nvim) ![](https://img.shields.io/github/stars/jmbuhr/otter.nvim) ![](https://img.shields.io/github/last-commit/jmbuhr/otter.nvim) ![](https://img.shields.io/github/commit-activity/y/jmbuhr/otter.nvim)

### Google Bard

- [martineausimon/nvim-bard](https://github.com/martineausimon/nvim-bard) ![](https://img.shields.io/github/stars/martineausimon/nvim-bard) ![](https://img.shields.io/github/last-commit/martineausimon/nvim-bard) ![](https://img.shields.io/github/commit-activity/y/martineausimon/nvim-bard)

### Mentat

- [hesiod-au/mentat.nvim](https://github.com/hesiod-au/mentat.nvim) ![](https://img.shields.io/github/stars/hesiod-au/mentat.nvim) ![](https://img.shields.io/github/last-commit/hesiod-au/mentat.nvim) ![](https://img.shields.io/github/commit-activity/y/hesiod-au/mentat.nvim)

### Codeium 

- [Exafunction/codeium.nvim](https://github.com/Exafunction/codeium.nvim) ![](https://img.shields.io/github/stars/Exafunction/codeium.nvim) ![](https://img.shields.io/github/last-commit/Exafunction/codeium.nvim) ![](https://img.shields.io/github/commit-activity/y/Exafunction/codeium.nvim)
- [BlazeMCworld/open-codeium.nvim](https://github.com/BlazeMCworld/open-codeium.nvim) ![](https://img.shields.io/github/stars/BlazeMCworld/open-codeium.nvim) ![](https://img.shields.io/github/last-commit/BlazeMCworld/open-codeium.nvim) ![](https://img.shields.io/github/commit-activity/y/BlazeMCworld/open-codeium.nvim)

### Machine Learning

- [dav1d-wright/nvim-dap-cv-image-viewer](https://github.com/dav1d-wright/nvim-dap-cv-image-viewer) ![](https://img.shields.io/github/stars/dav1d-wright/nvim-dap-cv-image-viewer) ![](https://img.shields.io/github/last-commit/dav1d-wright/nvim-dap-cv-image-viewer) ![](https://img.shields.io/github/commit-activity/y/dav1d-wright/nvim-dap-cv-image-viewer)

### Fitten Code

- [luozhiya/fittencode.nvim](https://github.com/luozhiya/fittencode.nvim) ![](https://img.shields.io/github/stars/luozhiya/fittencode.nvim) ![](https://img.shields.io/github/last-commit/luozhiya/fittencode.nvim) ![](https://img.shields.io/github/commit-activity/y/luozhiya/fittencode.nvim)

## Chat

- [mikeslattery/genie.nvim](https://github.com/mikeslattery/genie.nvim) ![](https://img.shields.io/github/stars/mikeslattery/genie.nvim) ![](https://img.shields.io/github/last-commit/mikeslattery/genie.nvim) ![](https://img.shields.io/github/commit-activity/y/mikeslattery/genie.nvim)
- [gptlang/CopilotChat.nvim(remote plugin)](https://github.com/gptlang/CopilotChat.nvim) ![](https://img.shields.io/github/stars/gptlang/CopilotChat.nvim) ![](https://img.shields.io/github/last-commit/gptlang/CopilotChat.nvim) ![](https://img.shields.io/github/commit-activity/y/gptlang/CopilotChat.nvim)
- [Lommix/ollamachad.nvim](https://github.com/Lommix/ollamachad.nvim) ![](https://img.shields.io/github/stars/Lommix/ollamachad.nvim) ![](https://img.shields.io/github/last-commit/Lommix/ollamachad.nvim) ![](https://img.shields.io/github/commit-activity/y/Lommix/ollamachad.nvim)
- [z0rzi/ai-chat.nvim](https://github.com/z0rzi/ai-chat.nvim) ![](https://img.shields.io/github/stars/z0rzi/ai-chat.nvim) ![](https://img.shields.io/github/last-commit/z0rzi/ai-chat.nvim) ![](https://img.shields.io/github/commit-activity/y/z0rzi/ai-chat.nvim)

### Chatblade

- [cmpadden/chatblade.nvim](https://github.com/cmpadden/chatblade.nvim) ![](https://img.shields.io/github/stars/cmpadden/chatblade.nvim) ![](https://img.shields.io/github/last-commit/cmpadden/chatblade.nvim) ![](https://img.shields.io/github/commit-activity/y/cmpadden/chatblade.nvim)

## OpenAI Review

- [james1236/backseat.nvim](https://github.com/james1236/backseat.nvim) ![](https://img.shields.io/github/stars/james1236/backseat.nvim) ![](https://img.shields.io/github/last-commit/james1236/backseat.nvim) ![](https://img.shields.io/github/commit-activity/y/james1236/backseat.nvim)
