# Table of Contents

<!-- toc -->

- [Search](#search)
  * [Line search](#line-search)
  * [Range Search](#range-search)
  * [n/N Improvement](#nn-improvement)
  * [Current Word Search](#current-word-search)
  * [Search count](#search-count)
  * [Word Count](#word-count)
  * [Comment search](#comment-search)
  * [Search highlight](#search-highlight)
  * [Visual search](#visual-search)
  * [File search](#file-search)
- [Replace](#replace)
  * [Rename](#rename)
- [Grep](#grep)
  * [AST](#ast)
- [Select](#select)
  * [Bracket and quote](#bracket-and-quote)
  * [narrowing](#narrowing)
  * [Multi Cursor](#multi-cursor)
  * [Incremental selection](#incremental-selection)
  * [Around select](#around-select)

<!-- tocstop -->

# Search

- [rktjmp/highlight-current-n.nvim](https://github.com/rktjmp/highlight-current-n.nvim) ![](https://img.shields.io/github/stars/rktjmp/highlight-current-n.nvim) ![](https://img.shields.io/github/last-commit/rktjmp/highlight-current-n.nvim) ![](https://img.shields.io/github/commit-activity/y/rktjmp/highlight-current-n.nvim)
- [gaborvecsei/memento.nvim](https://github.com/gaborvecsei/memento.nvim) ![](https://img.shields.io/github/stars/gaborvecsei/memento.nvim) ![](https://img.shields.io/github/last-commit/gaborvecsei/memento.nvim) ![](https://img.shields.io/github/commit-activity/y/gaborvecsei/memento.nvim)
- [notomo/reacher.nvim](https://github.com/notomo/reacher.nvim) ![](https://img.shields.io/github/stars/notomo/reacher.nvim) ![](https://img.shields.io/github/last-commit/notomo/reacher.nvim) ![](https://img.shields.io/github/commit-activity/y/notomo/reacher.nvim)
- [VonHeikemen/searchbox.nvim](https://github.com/VonHeikemen/searchbox.nvim) ![](https://img.shields.io/github/stars/VonHeikemen/searchbox.nvim) ![](https://img.shields.io/github/last-commit/VonHeikemen/searchbox.nvim) ![](https://img.shields.io/github/commit-activity/y/VonHeikemen/searchbox.nvim)
- [ironhouzi/starlite-nvim](https://github.com/ironhouzi/starlite-nvim) ![](https://img.shields.io/github/stars/ironhouzi/starlite-nvim) ![](https://img.shields.io/github/last-commit/ironhouzi/starlite-nvim) ![](https://img.shields.io/github/commit-activity/y/ironhouzi/starlite-nvim)
- [rapan931/lasterisk.nvim](https://github.com/rapan931/lasterisk.nvim) ![](https://img.shields.io/github/stars/rapan931/lasterisk.nvim) ![](https://img.shields.io/github/last-commit/rapan931/lasterisk.nvim) ![](https://img.shields.io/github/commit-activity/y/rapan931/lasterisk.nvim)
- [rapan931/utahraptor.nvim](https://github.com/rapan931/utahraptor.nvim) ![](https://img.shields.io/github/stars/rapan931/utahraptor.nvim) ![](https://img.shields.io/github/last-commit/rapan931/utahraptor.nvim) ![](https://img.shields.io/github/commit-activity/y/rapan931/utahraptor.nvim)
- [nat-418/castabout.nvim](https://github.com/nat-418/castabout.nvim) ![](https://img.shields.io/github/stars/nat-418/castabout.nvim) ![](https://img.shields.io/github/last-commit/nat-418/castabout.nvim) ![](https://img.shields.io/github/commit-activity/y/nat-418/castabout.nvim)
- [ArnauPrat/nvim-gotoerror](https://github.com/ArnauPrat/nvim-gotoerror) ![](https://img.shields.io/github/stars/ArnauPrat/nvim-gotoerror) ![](https://img.shields.io/github/last-commit/ArnauPrat/nvim-gotoerror) ![](https://img.shields.io/github/commit-activity/y/ArnauPrat/nvim-gotoerror)
- [monaqa/modesearch.nvim](https://github.com/monaqa/modesearch.nvim) ![](https://img.shields.io/github/stars/monaqa/modesearch.nvim) ![](https://img.shields.io/github/last-commit/monaqa/modesearch.nvim) ![](https://img.shields.io/github/commit-activity/y/monaqa/modesearch.nvim)
- [MaximilianLloyd/patternvault.nvim](https://github.com/MaximilianLloyd/patternvault.nvim) ![](https://img.shields.io/github/stars/MaximilianLloyd/patternvault.nvim) ![](https://img.shields.io/github/last-commit/MaximilianLloyd/patternvault.nvim) ![](https://img.shields.io/github/commit-activity/y/MaximilianLloyd/patternvault.nvim)
- [IndianBoy42/fuzzy_slash.nvim](https://github.com/IndianBoy42/fuzzy_slash.nvim) ![](https://img.shields.io/github/stars/IndianBoy42/fuzzy_slash.nvim) ![](https://img.shields.io/github/last-commit/IndianBoy42/fuzzy_slash.nvim) ![](https://img.shields.io/github/commit-activity/y/IndianBoy42/fuzzy_slash.nvim)
- [fsantand/magnifier.nvim](https://github.com/fsantand/magnifier.nvim) ![](https://img.shields.io/github/stars/fsantand/magnifier.nvim) ![](https://img.shields.io/github/last-commit/fsantand/magnifier.nvim) ![](https://img.shields.io/github/commit-activity/y/fsantand/magnifier.nvim)
- [barklan/searchword.nvim](https://github.com/barklan/searchword.nvim) ![](https://img.shields.io/github/stars/barklan/searchword.nvim) ![](https://img.shields.io/github/last-commit/barklan/searchword.nvim) ![](https://img.shields.io/github/commit-activity/y/barklan/searchword.nvim)
- [SDGLBL/hapigo.nvim](https://github.com/SDGLBL/hapigo.nvim) ![](https://img.shields.io/github/stars/SDGLBL/hapigo.nvim) ![](https://img.shields.io/github/last-commit/SDGLBL/hapigo.nvim) ![](https://img.shields.io/github/commit-activity/y/SDGLBL/hapigo.nvim)
- [jacobrreed/search-replace.nvim](https://github.com/jacobrreed/search-replace.nvim) ![](https://img.shields.io/github/stars/jacobrreed/search-replace.nvim) ![](https://img.shields.io/github/last-commit/jacobrreed/search-replace.nvim) ![](https://img.shields.io/github/commit-activity/y/jacobrreed/search-replace.nvim)

## Line search

- [neanias/telescope-lines.nvim](https://github.com/neanias/telescope-lines.nvim) ![](https://img.shields.io/github/stars/neanias/telescope-lines.nvim) ![](https://img.shields.io/github/last-commit/neanias/telescope-lines.nvim) ![](https://img.shields.io/github/commit-activity/y/neanias/telescope-lines.nvim)
- [jtroo/telescope-buffer-extract](https://github.com/jtroo/telescope-buffer-extract) ![](https://img.shields.io/github/stars/jtroo/telescope-buffer-extract) ![](https://img.shields.io/github/last-commit/jtroo/telescope-buffer-extract) ![](https://img.shields.io/github/commit-activity/y/jtroo/telescope-buffer-extract)

## Range Search

- [Ajnasz/nvim-rfind](https://github.com/Ajnasz/nvim-rfind) ![](https://img.shields.io/github/stars/Ajnasz/nvim-rfind) ![](https://img.shields.io/github/last-commit/Ajnasz/nvim-rfind) ![](https://img.shields.io/github/commit-activity/y/Ajnasz/nvim-rfind)

## n/N Improvement

- [shiradofu/nice-scroll.nvim](https://github.com/shiradofu/nice-scroll.nvim) ![](https://img.shields.io/github/stars/shiradofu/nice-scroll.nvim) ![](https://img.shields.io/github/last-commit/shiradofu/nice-scroll.nvim) ![](https://img.shields.io/github/commit-activity/y/shiradofu/nice-scroll.nvim)
- [ivyl/bling.nvim](https://github.com/ivyl/bling.nvim) ![](https://img.shields.io/github/stars/ivyl/bling.nvim) ![](https://img.shields.io/github/last-commit/ivyl/bling.nvim) ![](https://img.shields.io/github/commit-activity/y/ivyl/bling.nvim)

## Current Word Search

- [loqusion/star.nvim](https://github.com/loqusion/star.nvim) ![](https://img.shields.io/github/stars/loqusion/star.nvim) ![](https://img.shields.io/github/last-commit/loqusion/star.nvim) ![](https://img.shields.io/github/commit-activity/y/loqusion/star.nvim)

## Search count

- [kevinhwang91/nvim-hlslens](https://github.com/kevinhwang91/nvim-hlslens) ![](https://img.shields.io/github/stars/kevinhwang91/nvim-hlslens) ![](https://img.shields.io/github/last-commit/kevinhwang91/nvim-hlslens) ![](https://img.shields.io/github/commit-activity/y/kevinhwang91/nvim-hlslens)
- [rapan931/bistahieversor.nvim](https://github.com/rapan931/bistahieversor.nvim) ![](https://img.shields.io/github/stars/rapan931/bistahieversor.nvim) ![](https://img.shields.io/github/last-commit/rapan931/bistahieversor.nvim) ![](https://img.shields.io/github/commit-activity/y/rapan931/bistahieversor.nvim)

## Word Count

- [skwee357/nvim-prose](https://github.com/skwee357/nvim-prose) ![](https://img.shields.io/github/stars/skwee357/nvim-prose) ![](https://img.shields.io/github/last-commit/skwee357/nvim-prose) ![](https://img.shields.io/github/commit-activity/y/skwee357/nvim-prose)
- [backdround/improved-search.nvim](https://github.com/backdround/improved-search.nvim) ![](https://img.shields.io/github/stars/backdround/improved-search.nvim) ![](https://img.shields.io/github/last-commit/backdround/improved-search.nvim) ![](https://img.shields.io/github/commit-activity/y/backdround/improved-search.nvim)
- [soryu-ryouji/nvim-ccount.lua](https://github.com/soryu-ryouji/nvim-ccount.lua) ![](https://img.shields.io/github/stars/soryu-ryouji/nvim-ccount.lua) ![](https://img.shields.io/github/last-commit/soryu-ryouji/nvim-ccount.lua) ![](https://img.shields.io/github/commit-activity/y/soryu-ryouji/nvim-ccount.lua)

## Comment search

- [ram02z/telescope-dev-comments.nvim](https://github.com/ram02z/telescope-dev-comments.nvim) ![](https://img.shields.io/github/stars/ram02z/telescope-dev-comments.nvim) ![](https://img.shields.io/github/last-commit/ram02z/telescope-dev-comments.nvim) ![](https://img.shields.io/github/commit-activity/y/ram02z/telescope-dev-comments.nvim)

## Search highlight

- [nvimdev/hlsearch.nvim](https://github.com/nvimdev/hlsearch.nvim) ![](https://img.shields.io/github/stars/nvimdev/hlsearch.nvim) ![](https://img.shields.io/github/last-commit/nvimdev/hlsearch.nvim) ![](https://img.shields.io/github/commit-activity/y/nvimdev/hlsearch.nvim)
- [asiryk/auto-hlsearch.nvim](https://github.com/asiryk/auto-hlsearch.nvim) ![](https://img.shields.io/github/stars/asiryk/auto-hlsearch.nvim) ![](https://img.shields.io/github/last-commit/asiryk/auto-hlsearch.nvim) ![](https://img.shields.io/github/commit-activity/y/asiryk/auto-hlsearch.nvim)
- [aklk1ng/Hlsearch.nvim](https://github.com/aklk1ng/Hlsearch.nvim) ![](https://img.shields.io/github/stars/aklk1ng/Hlsearch.nvim) ![](https://img.shields.io/github/last-commit/aklk1ng/Hlsearch.nvim) ![](https://img.shields.io/github/commit-activity/y/aklk1ng/Hlsearch.nvim)
- [sahlte/timed-highlight.nvim](https://github.com/sahlte/timed-highlight.nvim) ![](https://img.shields.io/github/stars/sahlte/timed-highlight.nvim) ![](https://img.shields.io/github/last-commit/sahlte/timed-highlight.nvim) ![](https://img.shields.io/github/commit-activity/y/sahlte/timed-highlight.nvim)

## Visual search

- [bagohart/search-in-visual-selection.nvim](https://github.com/bagohart/search-in-visual-selection.nvim) ![](https://img.shields.io/github/stars/bagohart/search-in-visual-selection.nvim) ![](https://img.shields.io/github/last-commit/bagohart/search-in-visual-selection.nvim) ![](https://img.shields.io/github/commit-activity/y/bagohart/search-in-visual-selection.nvim)

## File search

- [fdschmidt93/telescope-corrode.nvim](https://github.com/fdschmidt93/telescope-corrode.nvim) ![](https://img.shields.io/github/stars/fdschmidt93/telescope-corrode.nvim) ![](https://img.shields.io/github/last-commit/fdschmidt93/telescope-corrode.nvim) ![](https://img.shields.io/github/commit-activity/y/fdschmidt93/telescope-corrode.nvim)

# Replace

- [cshuaimin/ssr.nvim](https://github.com/cshuaimin/ssr.nvim) ![](https://img.shields.io/github/stars/cshuaimin/ssr.nvim) ![](https://img.shields.io/github/last-commit/cshuaimin/ssr.nvim) ![](https://img.shields.io/github/commit-activity/y/cshuaimin/ssr.nvim)
- [filipdutescu/renamer.nvim](https://github.com/filipdutescu/renamer.nvim) ![](https://img.shields.io/github/stars/filipdutescu/renamer.nvim) ![](https://img.shields.io/github/last-commit/filipdutescu/renamer.nvim) ![](https://img.shields.io/github/commit-activity/y/filipdutescu/renamer.nvim)
- [Blackmorse/buffersed.nvim](https://github.com/Blackmorse/buffersed.nvim) ![](https://img.shields.io/github/stars/Blackmorse/buffersed.nvim) ![](https://img.shields.io/github/last-commit/Blackmorse/buffersed.nvim) ![](https://img.shields.io/github/commit-activity/y/Blackmorse/buffersed.nvim)
- [ray-x/sad.nvim](https://github.com/ray-x/sad.nvim) ![](https://img.shields.io/github/stars/ray-x/sad.nvim) ![](https://img.shields.io/github/last-commit/ray-x/sad.nvim) ![](https://img.shields.io/github/commit-activity/y/ray-x/sad.nvim)
- [roobert/search-replace.nvim](https://github.com/roobert/search-replace.nvim) ![](https://img.shields.io/github/stars/roobert/search-replace.nvim) ![](https://img.shields.io/github/last-commit/roobert/search-replace.nvim) ![](https://img.shields.io/github/commit-activity/y/roobert/search-replace.nvim)
- [s1n7ax/nvim-search-and-replace](https://github.com/s1n7ax/nvim-search-and-replace) ![](https://img.shields.io/github/stars/s1n7ax/nvim-search-and-replace) ![](https://img.shields.io/github/last-commit/s1n7ax/nvim-search-and-replace) ![](https://img.shields.io/github/commit-activity/y/s1n7ax/nvim-search-and-replace)
- [lucaspellegrinelli/rip.nvim](https://github.com/lucaspellegrinelli/rip.nvim) ![](https://img.shields.io/github/stars/lucaspellegrinelli/rip.nvim) ![](https://img.shields.io/github/last-commit/lucaspellegrinelli/rip.nvim) ![](https://img.shields.io/github/commit-activity/y/lucaspellegrinelli/rip.nvim)
- [chrisgrieser/nvim-alt-substitute](https://github.com/chrisgrieser/nvim-alt-substitute) ![](https://img.shields.io/github/stars/chrisgrieser/nvim-alt-substitute) ![](https://img.shields.io/github/last-commit/chrisgrieser/nvim-alt-substitute) ![](https://img.shields.io/github/commit-activity/y/chrisgrieser/nvim-alt-substitute)
- [AckslD/muren.nvim](https://github.com/AckslD/muren.nvim) ![](https://img.shields.io/github/stars/AckslD/muren.nvim) ![](https://img.shields.io/github/last-commit/AckslD/muren.nvim) ![](https://img.shields.io/github/commit-activity/y/AckslD/muren.nvim)
- [deponian/nvim-scalpelua](https://github.com/deponian/nvim-scalpelua) ![](https://img.shields.io/github/stars/deponian/nvim-scalpelua) ![](https://img.shields.io/github/last-commit/deponian/nvim-scalpelua) ![](https://img.shields.io/github/commit-activity/y/deponian/nvim-scalpelua)
- [Sett17/quicksub.nvim](https://github.com/Sett17/quicksub.nvim) ![](https://img.shields.io/github/stars/Sett17/quicksub.nvim) ![](https://img.shields.io/github/last-commit/Sett17/quicksub.nvim) ![](https://img.shields.io/github/commit-activity/y/Sett17/quicksub.nvim)
- [t-hg/nvim-search-replace](https://github.com/t-hg/nvim-search-replace) ![](https://img.shields.io/github/stars/t-hg/nvim-search-replace) ![](https://img.shields.io/github/last-commit/t-hg/nvim-search-replace) ![](https://img.shields.io/github/commit-activity/y/t-hg/nvim-search-replace)
- [srpmtt/nvim-replace](https://github.com/srpmtt/nvim-replace) ![](https://img.shields.io/github/stars/srpmtt/nvim-replace) ![](https://img.shields.io/github/last-commit/srpmtt/nvim-replace) ![](https://img.shields.io/github/commit-activity/y/srpmtt/nvim-replace)
- [ctimmins96/fnr.nvim](https://github.com/ctimmins96/fnr.nvim) ![](https://img.shields.io/github/stars/ctimmins96/fnr.nvim) ![](https://img.shields.io/github/last-commit/ctimmins96/fnr.nvim) ![](https://img.shields.io/github/commit-activity/y/ctimmins96/fnr.nvim)

## Rename

- [seasonalmatcha/symbol-renamer.nvim](https://github.com/seasonalmatcha/symbol-renamer.nvim) ![](https://img.shields.io/github/stars/seasonalmatcha/symbol-renamer.nvim) ![](https://img.shields.io/github/last-commit/seasonalmatcha/symbol-renamer.nvim) ![](https://img.shields.io/github/commit-activity/y/seasonalmatcha/symbol-renamer.nvim)

# Grep

- [axieax/urlview.nvim](https://github.com/axieax/urlview.nvim) ![](https://img.shields.io/github/stars/axieax/urlview.nvim) ![](https://img.shields.io/github/last-commit/axieax/urlview.nvim) ![](https://img.shields.io/github/commit-activity/y/axieax/urlview.nvim)
- [nvim-pack/nvim-spectre](https://github.com/nvim-pack/nvim-spectre) ![](https://img.shields.io/github/stars/nvim-pack/nvim-spectre) ![](https://img.shields.io/github/last-commit/nvim-pack/nvim-spectre) ![](https://img.shields.io/github/commit-activity/y/nvim-pack/nvim-spectre)
- [lmenou/qfunleashed.nvim](https://github.com/lmenou/qfunleashed.nvim) ![](https://img.shields.io/github/stars/lmenou/qfunleashed.nvim) ![](https://img.shields.io/github/last-commit/lmenou/qfunleashed.nvim) ![](https://img.shields.io/github/commit-activity/y/lmenou/qfunleashed.nvim)
- [nathanmsmith/livegrep.nvim](https://github.com/nathanmsmith/livegrep.nvim) ![](https://img.shields.io/github/stars/nathanmsmith/livegrep.nvim) ![](https://img.shields.io/github/last-commit/nathanmsmith/livegrep.nvim) ![](https://img.shields.io/github/commit-activity/y/nathanmsmith/livegrep.nvim)
- [wwcd/nvim-ack](https://github.com/wwcd/nvim-ack) ![](https://img.shields.io/github/stars/wwcd/nvim-ack) ![](https://img.shields.io/github/last-commit/wwcd/nvim-ack) ![](https://img.shields.io/github/commit-activity/y/wwcd/nvim-ack)
- [princejoogie/dir-telescope.nvim](https://github.com/princejoogie/dir-telescope.nvim) ![](https://img.shields.io/github/stars/princejoogie/dir-telescope.nvim) ![](https://img.shields.io/github/last-commit/princejoogie/dir-telescope.nvim) ![](https://img.shields.io/github/commit-activity/y/princejoogie/dir-telescope.nvim)
- [smilovanovic/telescope-search-dir-picker.nvim](https://github.com/smilovanovic/telescope-search-dir-picker.nvim) ![](https://img.shields.io/github/stars/smilovanovic/telescope-search-dir-picker.nvim) ![](https://img.shields.io/github/last-commit/smilovanovic/telescope-search-dir-picker.nvim) ![](https://img.shields.io/github/commit-activity/y/smilovanovic/telescope-search-dir-picker.nvim)
- [molecule-man/telescope-menufacture](https://github.com/molecule-man/telescope-menufacture) ![](https://img.shields.io/github/stars/molecule-man/telescope-menufacture) ![](https://img.shields.io/github/last-commit/molecule-man/telescope-menufacture) ![](https://img.shields.io/github/commit-activity/y/molecule-man/telescope-menufacture)
- [brookhong/telescope-pathogen.nvim](https://github.com/brookhong/telescope-pathogen.nvim) ![](https://img.shields.io/github/stars/brookhong/telescope-pathogen.nvim) ![](https://img.shields.io/github/last-commit/brookhong/telescope-pathogen.nvim) ![](https://img.shields.io/github/commit-activity/y/brookhong/telescope-pathogen.nvim)
- [fdschmidt93/telescope-egrepify.nvim](https://github.com/fdschmidt93/telescope-egrepify.nvim) ![](https://img.shields.io/github/stars/fdschmidt93/telescope-egrepify.nvim) ![](https://img.shields.io/github/last-commit/fdschmidt93/telescope-egrepify.nvim) ![](https://img.shields.io/github/commit-activity/y/fdschmidt93/telescope-egrepify.nvim)
- [napisani/nvim-search-rules](https://github.com/napisani/nvim-search-rules) ![](https://img.shields.io/github/stars/napisani/nvim-search-rules) ![](https://img.shields.io/github/last-commit/napisani/nvim-search-rules) ![](https://img.shields.io/github/commit-activity/y/napisani/nvim-search-rules)
- [mertzt89/grep-op.nvim](https://github.com/mertzt89/grep-op.nvim) ![](https://img.shields.io/github/stars/mertzt89/grep-op.nvim) ![](https://img.shields.io/github/last-commit/mertzt89/grep-op.nvim) ![](https://img.shields.io/github/commit-activity/y/mertzt89/grep-op.nvim)
- [Sduby22/telescope-fuzzy-grep.nvim](https://github.com/Sduby22/telescope-fuzzy-grep.nvim) ![](https://img.shields.io/github/stars/Sduby22/telescope-fuzzy-grep.nvim) ![](https://img.shields.io/github/last-commit/Sduby22/telescope-fuzzy-grep.nvim) ![](https://img.shields.io/github/commit-activity/y/Sduby22/telescope-fuzzy-grep.nvim)
- [SalOrak/whaler.nvim](https://github.com/SalOrak/whaler.nvim) ![](https://img.shields.io/github/stars/SalOrak/whaler.nvim) ![](https://img.shields.io/github/last-commit/SalOrak/whaler.nvim) ![](https://img.shields.io/github/commit-activity/y/SalOrak/whaler.nvim)
- [Sharonex/grape.nvim](https://github.com/Sharonex/grape.nvim) ![](https://img.shields.io/github/stars/Sharonex/grape.nvim) ![](https://img.shields.io/github/last-commit/Sharonex/grape.nvim) ![](https://img.shields.io/github/commit-activity/y/Sharonex/grape.nvim)
- [mangelozzi/rgflow.nvim](https://github.com/mangelozzi/rgflow.nvim) ![](https://img.shields.io/github/stars/mangelozzi/rgflow.nvim) ![](https://img.shields.io/github/last-commit/mangelozzi/rgflow.nvim) ![](https://img.shields.io/github/commit-activity/y/mangelozzi/rgflow.nvim)
- [ctfrancia/locate.nvim](https://github.com/ctfrancia/locate.nvim) ![](https://img.shields.io/github/stars/ctfrancia/locate.nvim) ![](https://img.shields.io/github/last-commit/ctfrancia/locate.nvim) ![](https://img.shields.io/github/commit-activity/y/ctfrancia/locate.nvim)
- [rsreimer/magnet.nvim](https://github.com/rsreimer/magnet.nvim) ![](https://img.shields.io/github/stars/rsreimer/magnet.nvim) ![](https://img.shields.io/github/last-commit/rsreimer/magnet.nvim) ![](https://img.shields.io/github/commit-activity/y/rsreimer/magnet.nvim)
- [P4Cu/ctrlsf-ui.nvim](https://github.com/P4Cu/ctrlsf-ui.nvim) ![](https://img.shields.io/github/stars/P4Cu/ctrlsf-ui.nvim) ![](https://img.shields.io/github/last-commit/P4Cu/ctrlsf-ui.nvim) ![](https://img.shields.io/github/commit-activity/y/P4Cu/ctrlsf-ui.nvim)

## AST

- [Marskey/telescope-sg](https://github.com/Marskey/telescope-sg) ![](https://img.shields.io/github/stars/Marskey/telescope-sg) ![](https://img.shields.io/github/last-commit/Marskey/telescope-sg) ![](https://img.shields.io/github/commit-activity/y/Marskey/telescope-sg)
- [ray-x/telescope-ast-grep.nvim](https://github.com/ray-x/telescope-ast-grep.nvim) ![](https://img.shields.io/github/stars/ray-x/telescope-ast-grep.nvim) ![](https://img.shields.io/github/last-commit/ray-x/telescope-ast-grep.nvim) ![](https://img.shields.io/github/commit-activity/y/ray-x/telescope-ast-grep.nvim)

# Select

- [Dkendal/nvim-treeclimber](https://github.com/Dkendal/nvim-treeclimber) ![](https://img.shields.io/github/stars/Dkendal/nvim-treeclimber) ![](https://img.shields.io/github/last-commit/Dkendal/nvim-treeclimber) ![](https://img.shields.io/github/commit-activity/y/Dkendal/nvim-treeclimber)
- [m-gail/escape.nvim](https://github.com/m-gail/escape.nvim) ![](https://img.shields.io/github/stars/m-gail/escape.nvim) ![](https://img.shields.io/github/last-commit/m-gail/escape.nvim) ![](https://img.shields.io/github/commit-activity/y/m-gail/escape.nvim)
- [ziontee113/SelectEase](https://github.com/ziontee113/SelectEase) ![](https://img.shields.io/github/stars/ziontee113/SelectEase) ![](https://img.shields.io/github/last-commit/ziontee113/SelectEase) ![](https://img.shields.io/github/commit-activity/y/ziontee113/SelectEase)
- [karim-hammami/selector.nvim](https://github.com/karim-hammami/selector.nvim) ![](https://img.shields.io/github/stars/karim-hammami/selector.nvim) ![](https://img.shields.io/github/last-commit/karim-hammami/selector.nvim) ![](https://img.shields.io/github/commit-activity/y/karim-hammami/selector.nvim)
- [yowcow/partial.nvim](https://github.com/yowcow/partial.nvim) ![](https://img.shields.io/github/stars/yowcow/partial.nvim) ![](https://img.shields.io/github/last-commit/yowcow/partial.nvim) ![](https://img.shields.io/github/commit-activity/y/yowcow/partial.nvim)
- [brlywk/section.nvim](https://github.com/brlywk/section.nvim) ![](https://img.shields.io/github/stars/brlywk/section.nvim) ![](https://img.shields.io/github/last-commit/brlywk/section.nvim) ![](https://img.shields.io/github/commit-activity/y/brlywk/section.nvim)

## Bracket and quote

- [EdgardoArriagada/vaquero-shoot.nvim](https://github.com/EdgardoArriagada/vaquero-shoot.nvim) ![](https://img.shields.io/github/stars/EdgardoArriagada/vaquero-shoot.nvim) ![](https://img.shields.io/github/last-commit/EdgardoArriagada/vaquero-shoot.nvim) ![](https://img.shields.io/github/commit-activity/y/EdgardoArriagada/vaquero-shoot.nvim)

## narrowing

- [bagohart/minimal-narrow-region.nvim](https://github.com/bagohart/minimal-narrow-region.nvim) ![](https://img.shields.io/github/stars/bagohart/minimal-narrow-region.nvim) ![](https://img.shields.io/github/last-commit/bagohart/minimal-narrow-region.nvim) ![](https://img.shields.io/github/commit-activity/y/bagohart/minimal-narrow-region.nvim)

## Multi Cursor

- [otavioschwanck/cool-substitute.nvim](https://github.com/otavioschwanck/cool-substitute.nvim) ![](https://img.shields.io/github/stars/otavioschwanck/cool-substitute.nvim) ![](https://img.shields.io/github/last-commit/otavioschwanck/cool-substitute.nvim) ![](https://img.shields.io/github/commit-activity/y/otavioschwanck/cool-substitute.nvim)
- [YacineDo/mc.nvim](https://github.com/YacineDo/mc.nvim) ![](https://img.shields.io/github/stars/YacineDo/mc.nvim) ![](https://img.shields.io/github/last-commit/YacineDo/mc.nvim) ![](https://img.shields.io/github/commit-activity/y/YacineDo/mc.nvim)
- [smoka7/multicursors.nvim](https://github.com/smoka7/multicursors.nvim) ![](https://img.shields.io/github/stars/smoka7/multicursors.nvim) ![](https://img.shields.io/github/last-commit/smoka7/multicursors.nvim) ![](https://img.shields.io/github/commit-activity/y/smoka7/multicursors.nvim)
- [vscode-neovim/vscode-multi-cursor.nvim](https://github.com/vscode-neovim/vscode-multi-cursor.nvim) ![](https://img.shields.io/github/stars/vscode-neovim/vscode-multi-cursor.nvim) ![](https://img.shields.io/github/last-commit/vscode-neovim/vscode-multi-cursor.nvim) ![](https://img.shields.io/github/commit-activity/y/vscode-neovim/vscode-multi-cursor.nvim)
- [brenton-leighton/multiple-cursors.nvim](https://github.com/brenton-leighton/multiple-cursors.nvim) ![](https://img.shields.io/github/stars/brenton-leighton/multiple-cursors.nvim) ![](https://img.shields.io/github/last-commit/brenton-leighton/multiple-cursors.nvim) ![](https://img.shields.io/github/commit-activity/y/brenton-leighton/multiple-cursors.nvim)
- [lincheney/nvim-multi-cursor](https://github.com/lincheney/nvim-multi-cursor) ![](https://img.shields.io/github/stars/lincheney/nvim-multi-cursor) ![](https://img.shields.io/github/last-commit/lincheney/nvim-multi-cursor) ![](https://img.shields.io/github/commit-activity/y/lincheney/nvim-multi-cursor)
- [altermo/iedit.nvim](https://github.com/altermo/iedit.nvim) ![](https://img.shields.io/github/stars/altermo/iedit.nvim) ![](https://img.shields.io/github/last-commit/altermo/iedit.nvim) ![](https://img.shields.io/github/commit-activity/y/altermo/iedit.nvim)

## Incremental selection

- [nvim-treesitter/nvim-treesitter(Incremental selection)](https://github.com/nvim-treesitter/nvim-treesitter) ![](https://img.shields.io/github/stars/nvim-treesitter/nvim-treesitter) ![](https://img.shields.io/github/last-commit/nvim-treesitter/nvim-treesitter) ![](https://img.shields.io/github/commit-activity/y/nvim-treesitter/nvim-treesitter)

## Around select

- [lhedeby/around.nvim](https://github.com/lhedeby/around.nvim) ![](https://img.shields.io/github/stars/lhedeby/around.nvim) ![](https://img.shields.io/github/last-commit/lhedeby/around.nvim) ![](https://img.shields.io/github/commit-activity/y/lhedeby/around.nvim)
